
/* 
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident "$Header: keepopen.c 1.1 90/01/12 $@(#)keepopen.c	1.1 89/12/01"

#include <stdio.h>
#include <fcntl.h>
#include <stropts.h>
#include <signal.h>
#include <sys/conf.h>

char *gettxt();

main(argc, argv)
int argc;
char **argv;
{
	int fd;

	if (argc < 2) {
		fprintf(stderr, gettxt("keepopen:1","Usage:%s stream \n"), argv[0]);
		exit(1);
	}
	if (*argv[1] == '-') {
		fd = fileno(stdin);
		argv[1] = "stdin";
	} else if ((fd = open(argv[1], O_RDWR | O_NDELAY)) < 0) {
		perror(argv[1]);
		exit(1);
	}
	if (!fork()) {
		fprintf(stderr, gettxt("keepopen:2","%s is open\n"), argv[1]);
		if (fd != fileno(stdin)) {
			close(fileno(stdin));
		}
		close(fileno(stdout));
		close(fileno(stderr));
		signal(SIGINT, SIG_IGN);
		signal(SIGQUIT, SIG_IGN);
		pause();
	} else {
		exit(0);
	}
}

